package com.diagbot.exception;

/**
 * @Description: 本服务错误码
 * 系统码(3位) + 等级码(1位) + 4位顺序号
 * 系统码 通用码 000；用户中心 100； 管理中心 200；
 * @author: gaodm
 * @time: 2018/9/10 11:11
 */
public enum ServiceErrorCode implements ErrorCode {
    USER_NOT_FOUND("10020000", "该账号暂未注册或已被禁用，请联系管理员"),
    USER_PASSWORD_ERROR("10020001", "账号或密码不正确"),
    GET_TOKEN_FAIL("10020002", "获取token失败"),
    TOKEN_IS_NOT_MATCH_USER("10020003", "请使用自己的token进行接口请求"),
    LONGIN_ERROE("10020012", "您的账号在其它地方已登录，您已被迫下线，请重新登录。如非本人授权，登录后请及时修改密码。"),
    USER_POWER_UP("10020012", "您的权限已被管理员修改，您已被迫下线，请重新登录。"),
    LONGIN_TOKEN_ERROE("10020013", "登录异常"),

    SMS_SEND_ERROR("10020004", "短信发送错误"),
    USER_BIND_ERROR("10020005", "用户手机号已经绑定无需再次验证"),
    USER_UN_BIND_ERROR("10020006", "用户手机号未绑定无需解绑"),
    VERIFYCODE_ERROR("10020007", "图片验证码生成错误"),
    USER_EXIST("10020008", "该账号已注册"),
    EMAIL_IS_NULL("10020009", "请输入邮箱");

    private String code;
    private String msg;


    ServiceErrorCode(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }


    public String getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }

    public static ServiceErrorCode codeOf(String code) {
        for (ServiceErrorCode state : values()) {
            if (state.getCode() == code) {
                return state;
            }
        }
        return null;
    }
}
